octave-general_2.1.0-2_amd64.deb


Advertisement

Description

octave-general - provide extra general functions for Octave

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename octave-general_2.1.0-2_amd64.deb
Package name octave-general
Package version 2.1.0
Package release 2
Package architecture amd64
Package type deb
Category universe/math
Homepage https://octave.sourceforge.io/general/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 51.14 KB
Installed size 280.00 KB
This package provides additional general functions for Octave, a
numerical computation software. It contains functions to transpose
complex matrixes (ctranspose), check if a string is sorted
(issorted), take the non-conjugate transpose of a matrix (transpose),
and a function to generate a symmetric matrix from the lower
triangular elements of a vector (unvech), among others.
This Octave add-on package is part of the Octave-Forge project.

Alternatives

Package Version Architecture Repository
octave-general_2.1.0-2_i386.deb 2.1.0 i386 Ubuntu Universe
octave-general - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libnettle6 -
liboctave6 -
libstdc++6 >= 5.2
octave >= 4.4.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package octave-general_2.1.0-2_amd64.deb
Source Package octave-general

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install octave-general deb package:
    # sudo apt-get install octave-general

Files

Path
/usr/lib/x86_64-linux-gnu/octave/packages/general-2.1.0/x86_64-pc-linux-gnu-api-v52/SHA1.oct
/usr/lib/x86_64-linux-gnu/octave/packages/general-2.1.0/x86_64-pc-linux-gnu-api-v52/mark_for_deletion.oct
/usr/lib/x86_64-linux-gnu/octave/packages/general-2.1.0/x86_64-pc-linux-gnu-api-v52/packfields.oct
/usr/lib/x86_64-linux-gnu/octave/packages/general-2.1.0/x86_64-pc-linux-gnu-api-v52/unpackfields.oct
/usr/share/doc/octave-general/NEWS
/usr/share/doc/octave-general/changelog.Debian.gz
/usr/share/doc/octave-general/copyright
/usr/share/octave/packages/general-2.1.0/adresamp2.m
/usr/share/octave/packages/general-2.1.0/cauchy.m
/usr/share/octave/packages/general-2.1.0/doc-cache
/usr/share/octave/packages/general-2.1.0/majle.m
/usr/share/octave/packages/general-2.1.0/safeprod.m
/usr/share/octave/packages/general-2.1.0/tablify.m
/usr/share/octave/packages/general-2.1.0/unresamp2.m
/usr/share/octave/packages/general-2.1.0/unvech.m
/usr/share/octave/packages/general-2.1.0/ztvals.m
/usr/share/octave/packages/general-2.1.0/@dict/dict.m
/usr/share/octave/packages/general-2.1.0/@dict/display.m
/usr/share/octave/packages/general-2.1.0/@dict/end.m
/usr/share/octave/packages/general-2.1.0/@dict/get.m
/usr/share/octave/packages/general-2.1.0/@dict/has.m
/usr/share/octave/packages/general-2.1.0/@dict/isempty.m
/usr/share/octave/packages/general-2.1.0/@dict/join.m
/usr/share/octave/packages/general-2.1.0/@dict/length.m
/usr/share/octave/packages/general-2.1.0/@dict/struct.m
/usr/share/octave/packages/general-2.1.0/@dict/subsasgn.m
/usr/share/octave/packages/general-2.1.0/@dict/subsref.m
/usr/share/octave/packages/general-2.1.0/packinfo/DESCRIPTION
/usr/share/octave/packages/general-2.1.0/packinfo/INDEX
/usr/share/octave/packages/general-2.1.0/packinfo/NEWS
/usr/share/octave/packages/general-2.1.0/test/SHA1.cc-tst
/usr/share/octave/packages/general-2.1.0/test/packfields.cc-tst
/usr/share/octave/packages/general-2.1.0/test/unpackfields.cc-tst

Changelog

2019-01-02 - Rafael Laboissiere <rafael@debian.org>
octave-general (2.1.0-2) unstable; urgency=medium
* d/control:
+ Add Rules-Requires-Root: no
+ Bump Standards-Version to 4.3.0
+ Bump to debhelper compat level 12
* Build-depend on debhelper-compat instead of using d/compat
2018-05-14 - Rafael Laboissiere <rafael@debian.org>
octave-general (2.1.0-1) unstable; urgency=medium
[ Rafael Laboissiere ]
* New upstream version 2.1.0
The SHA1 function is now working (Closes: #839003)
* d/copyright: Reflect upstream changes
* d/control:
+ Bump Standards-Version to 4.1.4 (no changes needed)
+ Build-depends on nettle-dev and pkg-config (needed for SHA1.cc)
* d/s/options: Add extend-diff-ignore list
[ Mike Miller ]
* d/control, d/copyright: Use secure URL for upstream source.
2018-02-10 - Rafael Laboissiere <rafael@debian.org>
octave-general (2.0.0-3) unstable; urgency=medium
* Use dh-octave for building the package
* d/control:
+ Use Debian's GitLab URLs in Vcs-* headers
+ Change Maintainer to team+pkg-octave-team@tracker.debian.org
2017-12-29 - Rafael Laboissiere <rafael@debian.org>
octave-general (2.0.0-2) unstable; urgency=medium
[ Sébastien Villemot ]
* d/copyright: use secure URL for format.
* d/watch: bump to format version 4.
[ Rafael Laboissiere ]
* Use the dh-based version of octave-pkg-dev
* Set debhelper compatibility level to >= 11
+ Bump Standards-Version to 4.1.3 (no changes needed)
+ Use secure URIs in the Vcs-* fields
+ Use cgit instead of gitweb in Vcs-Browser URL
+ Add Testsuite field
2015-07-18 - Sébastien Villemot <sebastien@debian.org>
octave-general (2.0.0-1) unstable; urgency=medium
[ Rafael Laboissiere ]
* Imported Upstream version 2.0.0
* d/p/autoload-yes.patch: Remove patch (deprecated upstream)
* Build-depend on octave-pkg-dev >> 1.2.0 (for Octave 4.0 transition)
* Drop the inputParser function, which is now in Octave 4.0 core
* Remove code for dropping the inputParser function
2014-09-27 - Rafael Laboissiere <rafael@laboissiere.net>
octave-general (1.3.4-2) unstable; urgency=medium
[ Sébastien Villemot ]
* Uploaders: remove Thomas Weber, add Rafael Laboissiere.
[ Rafael Laboissiere ]
* d/copyright: Ensure that all files have copyright information
* Bump Standards-Version to 3.9.6 (no changes needed)
2014-02-20 - Sébastien Villemot <sebastien@debian.org>
octave-general (1.3.4-1) unstable; urgency=medium
[ Sébastien Villemot ]
* Imported Upstream version 1.3.4
* debian/copyright: reflect upstream changes.
* Build-Depends on octave-pkg-dev >= 1.1.0.
This version needs Octave 3.8 to get compiled, it does not compile against
Octave 3.6 (despite what's indicated in DESCRIPTION).
[ Thomas Weber ]
* debian/control: Use canonical URLs in Vcs-* fields
[ Rafael Laboissiere ]
* Bump to Standards-Version 3.9.5, no changes needed
* Drop Lintian override for hardening-no-fortify-functions
2013-05-20 - Sébastien Villemot <sebastien@debian.org>
octave-general (1.3.2-2) unstable; urgency=low
[ Rafael Laboissiere ]
* Bump Standards-Version to 3.9.4 (no changes needed)
* Use Sébastien Villemot's @debian.org email address
* debian/copyright: Use the octave-maintainers mailing list as upstream
contact
* Remove obsolete DM-Upload-Allowed flag
2012-08-06 - Thomas Weber <tweber@debian.org>
octave-general (1.3.2-1) experimental; urgency=low
[ Rafael Laboissiere ]
* Imported Upstream version 1.3.2
* debian/copyright: Reflect upstream changes
* Add Lintian override for hardening-no-fortify-functions warnings
2012-05-17 - Sébastien Villemot <sebastien.villemot@ens.fr>
octave-general (1.3.1-1) unstable; urgency=low
* Imported Upstream version 1.3.1

See Also

Package Description
octave-geometry_3.0.0-9_amd64.deb geometric computing functions for Octave
octave-gsl_2.1.1-2_amd64.deb GSL binding for Octave
octave-htmldoc_4.4.1-5_all.deb transitional package for Octave HTML documentation
octave-image-acquisition_0.2.2-2_amd64.deb image acquisition package for Octave
octave-image_2.10.0-2_amd64.deb image manipulation for Octave
octave-info_4.4.1-5_all.deb transitional package for Octave info documentation
octave-instrument-control_0.3.1-2_amd64.deb instrument control for Octave
octave-interval-doc_3.2.0-4_all.deb real-valued interval arithmetic for Octave (arch-indep files)
octave-interval_3.2.0-4_amd64.deb real-valued interval arithmetic for Octave
octave-io_2.4.12-2_amd64.deb input/output data functions for Octave
octave-level-set_0.3.0-6_amd64.deb level-set toolbox for Octave
octave-linear-algebra_2.2.2-7_amd64.deb additional linear-algebra functions for Octave
octave-lssa_0.1.3-2_amd64.deb least squares spectral analysis for Octave
octave-ltfat-common_2.3.1+dfsg-2_all.deb Large Time/Frequency Analysis Toolbox (arch-indep files)
octave-ltfat_2.3.1+dfsg-2_amd64.deb Large Time/Frequency Analysis Toolbox
Advertisement
Advertisement